
QGIS Application - Bug report #10784

topology errors when digitizing

2014-07-02 02:18 PM - Thomas Nogatz

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Digitising

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 19165

Description

new description (google translate):

When you are digitizing seamlessly abutting polygons produced QGIS 2.2 despite any set and functioning snap options (Snap Tolerance

10 pixels) often topological errors. The bases of the polygons are then obviously not exactly one above the other. The differences are tiny

and not visible on the screen. However, a subsequent examination topology determines these errors that I've repaired through import and

export via a Geodatabase with ArcGIS. QGIS 2.4 unfortunately I could not test, but wanted to do for lack of time to talk attention to this

matter.

Beim Digitalisieren von nahtlos aneinander liegenden Polygonen produziert QGIS 2.2 trotz eingestellter und funktionierender

Fangoptionen (Fangtoleranz 10 Pixel) oftmals topologische Fehler. Die Stützpunkte der Polygone liegen dann offensichtlich nicht ganz

genau übereinander. Die Abweichungen sind winzig und auf dem Bildschirm nicht sichtbar. Eine anschließende Topologieprüfung

ermittelt jedoch diese Fehler, die ich bisher durch Im- und Export über eine Geodatenbank mit ArcGIS repariert habe. QGIS 2.4 konnte

ich leider noch nicht testen, wollte aber aus Zeitgründen schon mal auf diese Sache aufmerksam machen.

Viele Grüße und besten Dank an das QGIS-Team für diese großartige Software

Thomas

History

#1 - 2014-07-02 03:16 PM - Jürgen Fischer

please file tickets in English.

#2 - 2014-07-03 01:56 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to 2.2.0

- Subject changed from Digitalisieren to topology errors when digitizing

- Status changed from Open to Feedback

If I have understand well the automatic translation: this was a known issue that was supposedly solved but I'm not sure if it was before 2.2 or not.

Please try again on 2.4 and report back.

#3 - 2014-07-03 10:24 AM - Giovanni Manghi

I tested after looking the notes in the old tickets about this issue, and it seems ok to me on 2.4
#4 - 2014-10-08 08:18 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for lack of feedback, please reopen if necessary.

#5 - 2014-11-15 05:52 AM - Thomas Nogatz

- Status changed from Closed to Reopened

- Assignee set to Giovanni Manghi

- % Done changed from 0 to 100

Hi Giovanni, sorry for late answer - I've been on the road until now, mostly without internet. Digitizing works well on 2.4 - Thank you very much! Regards

Thomas

#6 - 2014-11-15 09:59 AM - Giovanni Manghi

- Status changed from Reopened to Closed
